Skip to main content

Get Memory Store

Retrieves the metadata of the specified memory store.

Prerequisites

Endpoint and authentication configured. For details, see Overview and authentication.

Endpoint

GET /memory_stores/{memory_store_id}

Path parameters

FieldRequiredTypeDescription
memory_store_idYesstringMemory store ID

Request example

curl "$AGENTSTUDIO_URL/memory_stores/memstore_xxx" \
  -H "Authorization: Bearer $DASHSCOPE_API_KEY"

Response example

{
  "id": "memstore_xxx",
  "type": "memory_store",
  "name": "Project Knowledge",
  "description": "Project conventions, decisions, and troubleshooting notes",
  "metadata": {
    "team": "data"
  },
  "created_at": "2026-09-17T08:00:00Z",
  "updated_at": "2026-09-17T08:00:00Z"
}

Response fields

FieldTypeDescription
idstring
typestring
namestring
descriptionstring
metadataobject
archived_atstring | null
created_atstring
updated_atstring

Error codes

HTTP statusError codeDescription
401InvalidApiKeyAPI key missing, invalid, or expired
403permission_errorInsufficient identity or resource access permissions
404not_found_errorResource does not exist or does not belong to the current workspace
Flow Agent API
Sandbox API
RAG API
Long-term Memory
ParseX API
Security API
Framework Integration